<?php

class fmsmeeting_whiteboard extends fmsmeeting_component {

    var $name = 'whiteboard';

    var $attributes = array('whiteboard_coop', 'whiteboard_trasparent');

    function config() {
      $config = '';

      $config .= '<input type="checkbox" name="whiteboard" value="1" alt="whiteboard"'.isset($form->whiteboard)?' checked="checked"':''.
                 "onchange=\"return lockoptions('form', 'whiteboard', whiteboarditems);\" />".
                 '<label for="whiteboard">'.get_string('enable').'</label><br />'."\n";
      $config .= '<input type="checkbox" name="whiteboard_coop" value="1" alt="whiteboard_coop"'.isset($form->whiteboard_coop)?' checked="checked"':''.' />'.
                 '<label for="whiteboard_coop">'.get_string('whiteboard_coop','fmsmeeting').'</label><br />'."\n";
      $config .= '<input type="checkbox" name="whiteboard_trasparent" value="1" alt="whiteboard_trasparent"'.isset($form->whiteboard_trasparent)?' checked="checked"':''.' />'.
                 '<label for="whiteboard_trasparent">'.get_string('whiteboard_trasparent','fmsmeeting').'</label><br />'."\n";
    
      return $config;
    }

    function _postprocess(&$fmsmeeting) {
        if (isset($fmsmeeting->whiteboard)) {
            $fmsmeeting->alltext .= "\t<whiteboard ";
            if (isset($fmsmeeting->whiteboard_coop)) {
                $fmsmeeting->alltext .= 'coop="true" ';
                unset($fmsmeeting->whiteboard_coop);
            } else {
                $fmsmeeting->alltext .= 'coop="false" ';
            }
            if (isset($fmsmeeting->whiteboard_trasparent)) {
                $fmsmeeting->alltext .= 'trasparent="true" ';
                unset($fmsmeeting->whiteboard_trasparent);
            } else {
                $fmsmeeting->alltext .= 'trasparent="false" ';
            }
            $fmsmeeting->alltext .= "/>\n";
            unset($fmsmeeting->whiteboard);
        }
    }
    
}

?>
