<?php  // $Id: index.php,v 1.27 2006/09/02 11:44:04 skodak Exp $

    require_once('../../config.php');
    require_once('lib.php');

    $id = required_param('id',PARAM_INT);   // course

    if (! $course = get_record('course', 'id', $id)) {
        error('Course ID is incorrect');
    }

    require_course_login($course);

    add_to_log($course->id, 'fmsmeeting', 'view all', "index?id=$course->id", '');

    $strfmsmeeting = get_string('modulename', 'fmsmeeting');
    $strfmsmeetings = get_string('modulenameplural', 'fmsmeeting');

    print_header_simple("$strfmsmeetings", '', "$strfmsmeetings", '', '', true, '', navmenu($course));


    if (! $fmsmeetings = get_all_instances_in_course('fmsmeeting', $course)) {
        notice('There are no fmsmeetings', "../../course/view.php?id=$course->id");
    }


    $timenow = time();

    if ($course->format == 'weeks') {
        $table->head  = array (get_string('week'), get_string('modulename','fmsmeeting'));
        $table->align = array ('center', 'left');
    } else if ($course->format == 'topics') {
        $table->head  = array (get_string('topic'), get_string('modulename','fmsmeeting'));
        $table->align = array ('center', 'left');
    } else {
        $table->head  = array (get_string('modulename','fmsmeeting'));
        $table->align = array ('left');
    }

    $currentsection = '';

    foreach ($fmsmeetings as $fmsmeeting) {
        $printsection = "";
        if ($fmsmeeting->section !== $currentsection) {
            if ($fmsmeeting->section) {
                $printsection = $fmsmeeting->section;
            }
            if ($currentsection !== "") {
                $table->data[] = 'hr';
            }
            $currentsection = $fmsmeeting->section;
        }
        
        //Calculate the href
        if (!$fmsmeeting->visible) {
            //Show dimmed if the mod is hidden
            $tt_href = "<a class=\"dimmed\" href=\"view.php?id=$fmsmeeting->coursemodule\">".format_string($fmsmeeting->name,true)."</a>";
        } else {
            //Show normal if the mod is visible
            $tt_href = "<a href=\"view.php?id=$fmsmeeting->coursemodule\">".format_string($fmsmeeting->name,true)."</a>";
        }
        if ($course->format == "weeks" || $course->format == "topics") {
            $table->data[] = array ($printsection, $tt_href);
        } else {
            $table->data[] = array ($tt_href);
        }
    }
    echo "<br />";
    print_table($table);

    print_footer($course);
 
?>

